Index: trunk/interface/DataConverter.h
===================================================================
--- trunk/interface/DataConverter.h	(revision 294)
+++ trunk/interface/DataConverter.h	(revision 295)
@@ -47,6 +47,10 @@
 public:
 
-  DataConverter() {};
+  DataConverter() : Nevt(-1) {};
+  DataConverter(const int &N) : Nevt(N) {};
   ~DataConverter() {};
+
+private:
+  int Nevt; // number of events to read; -1 means "all of them"
 };
 
Index: trunk/interface/HEPEVTConverter.h
===================================================================
--- trunk/interface/HEPEVTConverter.h	(revision 294)
+++ trunk/interface/HEPEVTConverter.h	(revision 295)
@@ -88,5 +88,5 @@
 public:
 
-  HEPEVTConverter(const string& inputFileList, const string& outputFileName);
+  HEPEVTConverter(const string& inputFileList, const string& outputFileName, const int& Nevents=-1);
 
 };
Index: trunk/interface/LHEFConverter.h
===================================================================
--- trunk/interface/LHEFConverter.h	(revision 294)
+++ trunk/interface/LHEFConverter.h	(revision 295)
@@ -49,5 +49,5 @@
 public:
 
-  LHEFConverter(const string& inputFileList, const string& outputFileName);
+  LHEFConverter(const string& inputFileList, const string& outputFileName, const int& Nevents=-1);
   ~LHEFConverter();
 
Index: trunk/interface/STDHEPConverter.h
===================================================================
--- trunk/interface/STDHEPConverter.h	(revision 294)
+++ trunk/interface/STDHEPConverter.h	(revision 295)
@@ -41,5 +41,5 @@
 class STDHEPConverter : public DataConverter {
   public:
-    STDHEPConverter(const string& inputFileList, const string& outputFileName);
+    STDHEPConverter(const string& inputFileList, const string& outputFileName, const int& Nevents=-1);
     ~STDHEPConverter();
 
Index: trunk/src/HEPEVTConverter.cc
===================================================================
--- trunk/src/HEPEVTConverter.cc	(revision 294)
+++ trunk/src/HEPEVTConverter.cc	(revision 295)
@@ -55,5 +55,5 @@
 //------------------------------------------------------------------------------
 
-//------------------------------------------------------------------------------
+//Nevents not yet implemented! 08.03.2009
 
 HEPTreeReader::HEPTreeReader(TTree *tree, HEPEvent *event) : fChain(tree), fCurrentTree(-1), fEvent(event)
@@ -169,5 +169,5 @@
 
 
-HEPEVTConverter::HEPEVTConverter(const string& inputFileList, const string& outputFileName)
+HEPEVTConverter::HEPEVTConverter(const string& inputFileList, const string& outputFileName, const int& Nevents) : DataConverter(Nevents)
 {
   string buffer;
Index: trunk/src/LHEFConverter.cc
===================================================================
--- trunk/src/LHEFConverter.cc	(revision 294)
+++ trunk/src/LHEFConverter.cc	(revision 295)
@@ -103,6 +103,7 @@
 
 //------------------------------------------------------------------------------
-
-LHEFConverter::LHEFConverter(const string& inputFileList, const string& outputFileName) {
+//Nevents not yet implemented! 08.03.2009
+LHEFConverter::LHEFConverter(const string& inputFileList, const string& outputFileName, const int& Nevents) :
+ DataConverter(Nevents) {
 
   ExRootTreeWriter *treeWriter = new ExRootTreeWriter(outputFileName, "GEN");
Index: trunk/src/STDHEPConverter.cc
===================================================================
--- trunk/src/STDHEPConverter.cc	(revision 294)
+++ trunk/src/STDHEPConverter.cc	(revision 295)
@@ -58,4 +58,8 @@
 void STDHEPConverter::AnalyseParticles(ExRootTreeBranch *branch)
 {
+  int Nmax = -1;  // useless for the moment -- should be changed in order
+  if(Nmax>0) Nmax = min(Nmax,myhepevt.nhep); // to use Nevt in DataConverter
+  else Nmax = myhepevt.nhep;
+
   GenParticle *element;
 
@@ -64,5 +68,5 @@
   Int_t number;
 
-  for(number = 0; number < myhepevt.nhep; ++number)
+  for(number = 0; number < Nmax; ++number)
   {
     element = static_cast<GenParticle*>(branch->NewEntry());
@@ -104,7 +108,6 @@
 //------------------------------------------------------------------------------
 
-STDHEPConverter::STDHEPConverter(const string& inputFileList, const string& outputFileName)
-{
-
+STDHEPConverter::STDHEPConverter(const string& inputFileList, const string& outputFileName, const int& Nevents) : DataConverter(Nevents)
+{
   int ierr, entryType;
   int istr = 0;