Index: /trunk/data/DetectorCard.dat
===================================================================
--- /trunk/data/DetectorCard.dat	(revision 302)
+++ /trunk/data/DetectorCard.dat	(revision 303)
@@ -11,17 +11,17 @@
 ELG_Scen          0.05              // S term for central ECAL
 ELG_Ncen          0.25              // N term for central ECAL
-ELG_Ccen          0.005              // C term for central ECAL
-ELG_Cfwd          0.107             // S term for forward ECAL
-ELG_Sfwd          2.084             // C term for forward ECAL
-ELG_Nfwd          0.0               // N term for central ECAL
+ELG_Ccen          0.005             // C term for central ECAL
+ELG_Sfwd          2.084             // S term for FCAL
+ELG_Nfwd          0.0               // N term for FCAL
+ELG_Cfwd          0.107             // C term for FCAL
 
 # Energy resolution for hadrons in ecal/hcal/hf
 # \sigma/E = C + N/E + S/\sqrt{E}, E in GeV
-HAD_Shcal         1.5               // S term for central HCAL // hadronic calorimeter
+HAD_Shcal         1.5               // S term for central HCAL 
 HAD_Nhcal         0.                // N term for central HCAL
 HAD_Chcal         0.05              // C term for central HCAL
-HAD_Shf           2.7               // S term for HF // forward calorimeter
-HAD_Nhf           0.                // N term for HF
-HAD_Chf           0.13              // C term for HF
+HAD_Shf           2.7               // S term for FCAL
+HAD_Nhf           0.                // N term for FCAL
+HAD_Chf           0.13              // C term for FCAL
 
 # Muon smearing
@@ -48,9 +48,9 @@
 
 # Thresholds for reconstructed objetcs, Pt in GeV
-PTCUT_elec       0.0
-PTCUT_muon       0.0
-PTCUT_jet        0.0
-PTCUT_gamma      0.0
-PTCUT_taujet     0.0
+PTCUT_elec       10.0
+PTCUT_muon       10.0
+PTCUT_jet        20.0
+PTCUT_gamma      10.0
+PTCUT_taujet     10.0
 
 # General jet variable
@@ -65,5 +65,5 @@
 
 # FLAGS
-FLAG_bfield      0                       //1 to run the bfield propagation else 0
+FLAG_bfield      1                       //1 to run the bfield propagation else 0
 FLAG_vfd         1                       //1 to run the very forward detectors else 0
 FLAG_trigger     1                       //1 to run the trigger selection else 0
@@ -73,7 +73,7 @@
 TRACK_radius      129                   //radius of the BField coverage, in cm
 TRACK_length      300                   //length of the BField coverage, in cm
-TRACK_bfield_x    0                     //X composant of the BField, in T
-TRACK_bfield_y    0                     //Y composant of the BField, in T
-TRACK_bfield_z    3.8                   //Z composant of the BField, in T
+TRACK_bfield_x    0                     //X component of the BField, in T
+TRACK_bfield_y    0                     //Y component of the BField, in T
+TRACK_bfield_z    3.8                   //Z component of the BField, in T
 
 # Very forward detector extension, in pseudorapidity
@@ -88,4 +88,8 @@
 RP_420_s          420                   // distance of the RP to the IP, in meters
 RP_420_x          0.004                 // distance of the RP to the beam, in meters
+RP_beam1Card      data/LHCB1IR5_v6.500.tfs
+RP_beam2Card      data/LHCB2IR5_v6.500.tfs
+RP_IP_name        IP5
+
 
 # In case FROG event display allowed
Index: /trunk/data/DetectorCard_CMS.dat
===================================================================
--- /trunk/data/DetectorCard_CMS.dat	(revision 302)
+++ /trunk/data/DetectorCard_CMS.dat	(revision 303)
@@ -67,6 +67,6 @@
 FLAG_bfield      1                       //1 to run the bfield propagation else 0
 FLAG_vfd         1                       //1 to run the very forward detectors else 0
-FLAG_trigger     0                       //1 to run the trigger selection else 0
-FLAG_frog        0                       //1 to run the FROG event display
+FLAG_trigger     1                       //1 to run the trigger selection else 0
+FLAG_frog        1                       //1 to run the FROG event display
 
 # In case BField propagation allowed