Index: trunk/Delphes.cpp
===================================================================
--- trunk/Delphes.cpp	(revision 305)
+++ trunk/Delphes.cpp	(revision 306)
@@ -296,5 +296,4 @@
   ExRootTreeBranch *branchMuon = treeWriter->NewBranch("Muon", TRootMuon::Class());
   ExRootTreeBranch *branchPhoton = treeWriter->NewBranch("Photon", TRootPhoton::Class());
-  //ExRootTreeBranch *branchTracks = treeWriter->NewBranch("Tracks", TRootTracks::Class());
   ExRootTreeBranch *branchTrack = treeWriter->NewBranch("Tracks", TRootTracks::Class());
   ExRootTreeBranch *branchETmis = treeWriter->NewBranch("ETmis", TRootETmis::Class());
@@ -318,12 +317,8 @@
   vector<fastjet::PseudoJet> input_particles;//for FastJet algorithm
   vector<fastjet::PseudoJet> sorted_jets;
-  //vector<TLorentzVector> TrackCentral;  
   vector<TRootTracks> TrackCentral;  
   vector<PhysicsTower> towers;
-  //vector<ParticleUtil> electron;
   vector<D_Particle> electron;
-  //vector<ParticleUtil> muon;
   vector<D_Particle> muon;
-  //vector<ParticleUtil> gamma;
   vector<D_Particle> gamma;
 
@@ -509,15 +504,17 @@
 	    }
 	    // 2.1a.2.5 : very forward detectors
-	    else if (DET->FLAG_vfd==1) {
-		// for the moment, only protons are transported
-		// BUT !!! could be a beam of other particles! (heavy ions?)
-		// BUT ALSO !!! if very forward muons, or others!
-              VFD->RomanPots(treeWriter,branchRP220,branchFP420,particle);
-              VFD->ZDC(treeWriter,branchZDC,particle);
-	    }
-	    // 2.1a.2.6: Zero degree calorimeter
-	    //else if(DET->FLAG_zdc==1) {
-              //VFD->ZDC(treeWriter,branchZDC,particle);
-	    //}
+	    else
+              {
+                if (DET->FLAG_RP==1) {
+		   // for the moment, only protons are transported
+		   // BUT !!! could be a beam of other particles! (heavy ions?)
+		   // BUT ALSO !!! if very forward muons, or others!
+                   VFD->RomanPots(treeWriter,branchRP220,branchFP420,particle);
+	        }
+	        // 2.1a.2.6: Zero degree calorimeter
+	        if(DET->FLAG_vfd==1) {
+                   VFD->ZDC(treeWriter,branchZDC,particle);
+	        }
+              }
 
           } // 2.1a.2 : if visible particle
@@ -579,5 +576,4 @@
         elementElec->PhiCalo = electron[i].PhiCalo();
         elementElec->Charge = sign(electron[i].PID());
-        //elementElec->IsolFlag = DET->Isolation(electron[i].Phi(),electron[i].Eta(),TrackCentral,2.0,0.5);//isolation based on tracks
         elementElec->IsolFlag = DET->Isolation(electron[i].Phi(),electron[i].Eta(),TrackCentral,DET->ISOL_PT,DET->ISOL_Cone);//isolation based on tracks
       }											/////////////// HARDCODING
@@ -589,5 +585,4 @@
         elementMu->EtaCalo = muon[i].EtaCalo(); 
         elementMu->PhiCalo = muon[i].PhiCalo();
-        //elementMu->IsolFlag = DET->Isolation(muon[i].Phi(),muon[i].Eta(),TrackCentral,2.0,0.5); /////////////// HARDCODING
         elementMu->IsolFlag = DET->Isolation(muon[i].Phi(),muon[i].Eta(),TrackCentral,DET->ISOL_PT,DET->ISOL_Cone); /////////////// HARDCODING
       }
Index: trunk/data/DetectorCard.dat
===================================================================
--- trunk/data/DetectorCard.dat	(revision 305)
+++ trunk/data/DetectorCard.dat	(revision 306)
@@ -71,4 +71,5 @@
 FLAG_bfield      1                       //1 to run the bfield propagation else 0
 FLAG_vfd         1                       //1 to run the very forward detectors else 0
+FLAG_RP          1                       //1 to run the very forward detectors else 0
 FLAG_trigger     1                       //1 to run the trigger selection else 0
 FLAG_frog        1                       //1 to run the FROG event display
Index: trunk/data/DetectorCard_ATLAS.dat
===================================================================
--- trunk/data/DetectorCard_ATLAS.dat	(revision 305)
+++ trunk/data/DetectorCard_ATLAS.dat	(revision 306)
@@ -71,4 +71,5 @@
 FLAG_bfield      1                       // 1 to run the bfield propagation else 0
 FLAG_vfd         1                       // 1 to run the very forward detectors else 0
+FLAG_RP          1                       // 1 to run the very forward detectors else 0
 FLAG_trigger     1                       // 1 to run the trigger selection else 0
 FLAG_frog        1                       // 1 to run the FROG event display
Index: trunk/data/DetectorCard_CMS.dat
===================================================================
--- trunk/data/DetectorCard_CMS.dat	(revision 305)
+++ trunk/data/DetectorCard_CMS.dat	(revision 306)
@@ -71,4 +71,5 @@
 FLAG_bfield      1                       //1 to run the bfield propagation else 0
 FLAG_vfd         1                       //1 to run the very forward detectors else 0
+FLAG_RP          1                       //1 to run the very forward detectors else 0
 FLAG_trigger     1                       //1 to run the trigger selection else 0
 FLAG_frog        1                       //1 to run the FROG event display
Index: trunk/interface/SmearUtil.h
===================================================================
--- trunk/interface/SmearUtil.h	(revision 305)
+++ trunk/interface/SmearUtil.h	(revision 306)
@@ -192,5 +192,5 @@
  int FLAG_bfield;               //flag for bfield propagation
  int FLAG_vfd;                  //flag for very forward detector
- int FLAG_zdc;                  //flag for very forward detector
+ int FLAG_RP;                  //flag for very forward detector
  
  int NEvents_Frog;
Index: trunk/src/SmearUtil.cc
===================================================================
--- trunk/src/SmearUtil.cc	(revision 305)
+++ trunk/src/SmearUtil.cc	(revision 306)
@@ -119,5 +119,5 @@
   FLAG_bfield      = 1;                       //1 to run the bfield propagation else 0
   FLAG_vfd         = 1;                       //1 to run the very forward detectors else 0
-  FLAG_zdc         = 1;                       //1 to run the zero degree calorimeter else 0
+  FLAG_RP         = 1;                       //1 to run the zero degree calorimeter else 0
   FLAG_trigger     = 1;                       //1 to run the trigger selection else 0
   FLAG_frog        = 1;                       //1 to run the FROG event display
@@ -244,5 +244,5 @@
   FLAG_bfield      = DET.FLAG_bfield;
   FLAG_vfd         = DET.FLAG_vfd;
-  FLAG_zdc         = DET.FLAG_zdc;
+  FLAG_RP          = DET.FLAG_RP;
   FLAG_trigger     = DET.FLAG_trigger;
   FLAG_frog        = DET.FLAG_frog;
@@ -362,5 +362,5 @@
   FLAG_bfield      = DET.FLAG_bfield;
   FLAG_vfd         = DET.FLAG_vfd;
-  FLAG_zdc         = DET.FLAG_zdc;
+  FLAG_RP          = DET.FLAG_RP;
   FLAG_trigger     = DET.FLAG_trigger;
   FLAG_frog        = DET.FLAG_frog;
@@ -507,5 +507,5 @@
 
     else if(strstr(temp_string.c_str(),"FLAG_vfd"))         {curstring >> varname >> ivalue; FLAG_vfd         = ivalue;}
-    else if(strstr(temp_string.c_str(),"FLAG_zdc"))         {curstring >> varname >> ivalue; FLAG_zdc         = ivalue;}
+    else if(strstr(temp_string.c_str(),"FLAG_RP"))          {curstring >> varname >> ivalue; FLAG_RP         = ivalue;}
     else if(strstr(temp_string.c_str(),"FLAG_trigger"))     {curstring >> varname >> ivalue; FLAG_trigger     = ivalue;}
     else if(strstr(temp_string.c_str(),"FLAG_frog"))        {curstring >> varname >> ivalue; FLAG_frog        = ivalue;}
@@ -606,24 +606,16 @@
 	<< left << setw(10) <<CEN_max_mu        <<""<< right << setw(15)<<"*"<<"\n";
   f_out<<"*                                                                    *"<<"\n";
-  if(FLAG_vfd==1){
-    f_out<<"#**********************************                                  *"<<"\n";
-    f_out<<"# Very forward detector switched on                                  *"<<"\n";
-    f_out<<"#**********************************                                  *"<<"\n";
+  if(FLAG_RP==1){
+    f_out<<"#************************************                                *"<<"\n";
+    f_out<<"# Very forward Roman Pots switched on                                *"<<"\n";
+    f_out<<"#************************************                                *"<<"\n";
     f_out<<"*                                                                    *"<<"\n";
-    f_out << left << setw(55) <<"* Minimum very forward calorimeter:          "<<""
-	  << left << setw(5) <<VFD_min_calo_vfd <<""<< right << setw(10)<<"*"<<"\n";
-    f_out << left << setw(55) <<"* Maximum very forward calorimeter:          "<<""
-	  << left << setw(5) <<VFD_max_calo_vfd <<""<< right << setw(10)<<"*"<<"\n";
-    f_out << left << setw(55) <<"* Minimum coverage zero_degree calorimeter "<<""
-	  << left << setw(5) <<VFD_min_zdc          <<""<< right << setw(10)<<"*"<<"\n";
-    f_out << left << setw(55) <<"* Distance of the ZDC to the IP, in meters:  "<<""
-	  << left << setw(5) <<VFD_s_zdc            <<""<< right << setw(10)<<"*"<<"\n";
-    f_out << left << setw(55) <<"* Distance of the RP to the IP, in meters:   "<<""
+    f_out << left << setw(55) <<"* Distance of the 220 RP to the IP in meters:"<<""
 	  << left << setw(5) <<RP_220_s             <<""<< right << setw(10)<<"*"<<"\n";
-    f_out << left << setw(55) <<"* Distance of the RP to the beam, in meters: "<<""
+    f_out << left << setw(55) <<"* Distance of the 220 RP to the beam in meters:"<<""
 	  << left << setw(5) <<RP_220_x             <<""<< right << setw(10)<<"*"<<"\n";
-    f_out << left << setw(55) <<"* Distance of the RP to the IP, in meters:   "<<""
+    f_out << left << setw(55) <<"* Distance of the 420 RP to the IP in meters:"<<""
 	  << left << setw(5) <<RP_420_s             <<""<< right << setw(10)<<"*"<<"\n";
-    f_out << left << setw(55) <<"* Distance of the RP to the beam, in meters: "<<""
+    f_out << left << setw(55) <<"* Distance of the 420 RP to the beam in meters:"<<""
 	  << left << setw(5) <<RP_420_x             <<""<< right << setw(10)<<"*"<<"\n";
     f_out << left << setw(55) <<"* Interaction point at the LHC named: "<<""
@@ -646,9 +638,31 @@
   }
   else {
-    f_out<<"#***********************************                                 *"<<"\n";
-    f_out<<"# Very forward detector switched off                                 *"<<"\n";
-    f_out<<"#***********************************                                 *"<<"\n";
+    f_out<<"#*************************************                               *"<<"\n";
+    f_out<<"# Very forward Roman Pots switched off                               *"<<"\n";
+    f_out<<"#*************************************                               *"<<"\n";
     f_out<<"*                                                                    *"<<"\n";
   }
+  if(FLAG_vfd==1){
+    f_out<<"#**************************************                              *"<<"\n";
+    f_out<<"# Very forward calorimeters switched on                              *"<<"\n";
+    f_out<<"#**************************************                              *"<<"\n";
+    f_out<<"*                                                                    *"<<"\n";
+    f_out << left << setw(55) <<"* Minimum very forward calorimeter:          "<<""
+          << left << setw(5) <<VFD_min_calo_vfd <<""<< right << setw(10)<<"*"<<"\n";
+    f_out << left << setw(55) <<"* Maximum very forward calorimeter:          "<<""
+          << left << setw(5) <<VFD_max_calo_vfd <<""<< right << setw(10)<<"*"<<"\n";
+    f_out << left << setw(55) <<"* Minimum coverage zero_degree calorimeter "<<""
+          << left << setw(5) <<VFD_min_zdc          <<""<< right << setw(10)<<"*"<<"\n";
+    f_out << left << setw(55) <<"* Distance of the ZDC to the IP, in meters:  "<<""
+          << left << setw(5) <<VFD_s_zdc            <<""<< right << setw(10)<<"*"<<"\n";
+    f_out<<"*                                                                    *"<<"\n";
+  }
+  else {
+    f_out<<"#***************************************                             *"<<"\n";
+    f_out<<"# Very forward calorimeters switched off                             *"<<"\n";
+    f_out<<"#***************************************                             *"<<"\n";
+    f_out<<"*                                                                    *"<<"\n";
+  }
+
   f_out<<"#************************************                                *"<<"\n";
   f_out<<"# Electromagnetic smearing parameters                                *"<<"\n";