Index: /trunk/Delphes.cpp
===================================================================
--- /trunk/Delphes.cpp	(revision 312)
+++ /trunk/Delphes.cpp	(revision 313)
@@ -158,5 +158,5 @@
   
   srand (time (NULL));         /* Initialisation du gÃ©nÃ©rateur */
-  TStopwatch globalwatch, loopwatch, triggerwatch, frogwatch;
+  TStopwatch globalwatch, loopwatch, triggerwatch, frogwatch, lhcowatch;
   globalwatch.Start();
   
@@ -716,17 +716,13 @@
     FROG->BuildGeom();
     delete FROG;
+    cout <<"**                  Exiting FROG preparation...                    **"<< endl;
   }
   frogwatch.Stop();
   
   // 3.3 *************** LHCO output
+  lhcowatch.Start();
   if(DET->FLAG_lhco == 1){
     cout <<"**                                                                 **"<<endl;
     cout <<"**        ############ Start LHCO convertion ############          **"<< endl;
-    /*
-    //create output log-file name
-    string forLogLHCO = outputfilename;
-    string LogNameLHCO = forLogLHCO.erase(forLogLHCO.find(".root"));
-    LogNameLHCO = LogNameLHCO+"_events.lhco";
-    */
     
     //LHCOConverter *LHCO = new LHCOConverter(outputfilename,LogNameLHCO);
@@ -735,5 +731,7 @@
     LHCO->ConvertExRootAnalysisToLHCO();
     delete LHCO;
+    cout <<"**                  Exiting LHCO converstion...                    **"<< endl;
   }
+  lhcowatch.Stop();
   
   
@@ -778,6 +776,14 @@
 	   << right << setw(15) <<frogwatch.RealTime()<<""
 	   << right << setw(14)  <<"**"<<endl;
-      
-    }
+    }
+  if(DET->FLAG_lhco == 1)
+    {
+      cout << left  << setw(10) <<"**"<<""
+           << left  << setw(15) <<" +  LHCO:"<<""
+           << right << setw(15) <<lhcowatch.CpuTime()<<""
+           << right << setw(15) <<lhcowatch.RealTime()<<""
+           << right << setw(14)  <<"**"<<endl;
+    }
+
   
   cout <<"**                                                                 **"<< endl;
Index: /trunk/interface/LHCOConverter.h
===================================================================
--- /trunk/interface/LHCOConverter.h	(revision 312)
+++ /trunk/interface/LHCOConverter.h	(revision 313)
@@ -55,4 +55,5 @@
   //ostringstream BranchReader(const TClonesArray*, unsigned int&, unsigned short int ) const; // put it as a operator<<
   void BranchReader(const TClonesArray*, unsigned int&, unsigned short int ) const;
+  void BranchReaderETmis(const TClonesArray* branch, unsigned int& line) const;  
   const string inputfilename_;
   string inputlogname_;
Index: /trunk/src/LHCOConverter.cc
===================================================================
--- /trunk/src/LHCOConverter.cc	(revision 312)
+++ /trunk/src/LHCOConverter.cc	(revision 313)
@@ -63,5 +63,5 @@
     	const unsigned int r_find = outputfilename_.rfind(".root");
 	if(r_find > outputfilename_.size()) {
-	   cout << "ERROR: the extension of the input file is not '.root'. Exiting...\n"; valid_=false; 
+	   cerr << "ERROR: the extension of the input file is not '.root'. Exiting...\n"; valid_=false; 
     	}
     	else {
@@ -69,5 +69,8 @@
 	    	ofstream outfile( outputfilename_.c_str());
     		outfile.close();
-	    	cout << "INFO: " << outputfilename_ << " has been created\n";
+                cout << left  << setw(20) <<"**        INFO: "<<""
+                              << left  << setw(29) << outputfilename_ <<""
+                              << right << setw(20) <<"created          **"<<endl;
+
 	}
     }
@@ -127,5 +130,4 @@
 
   Long64_t Nevents = analysisTree->GetEntries();
-  cout << "** TTree 'Analysis' contains " << Nevents << " events" << endl;
   Nevents = min(Nevents,triggerTree->GetEntries());
   if (Nevents != analysisTree->GetEntries()) 
@@ -155,5 +157,5 @@
 
     // 6 MET
-    BranchReader(branchETmis,line,lhcoETmisID);
+    BranchReaderETmis(branchETmis,line);
 
   } // event loop
@@ -173,5 +175,4 @@
     for (unsigned int i=0; i< branch_size; i++) {
         particle = (TRootParticle*) branch->At(i);
-	double temp =  sqrt(particle->PT*particle->PT + particle->Pz * particle->Pz);
 	TLorentzVector pmu;
 	pmu.SetPtEtaPhiE(particle->PT, particle->Eta, particle->Phi, particle->E);
@@ -217,2 +218,27 @@
     // return outfile;
 }
+
+//ostringstream LHCOConverter::BranchReader(const TClonesArray* branch, unsigned int& line, unsigned short int lhcoID) const {
+void LHCOConverter::BranchReaderETmis(const TClonesArray* branch, unsigned int& line) const {
+    //ostringstream outfile;
+    ofstream outfile( outputfilename_.c_str(),ios_base::app);
+    TRootETmis * particle = 0;
+    particle = (TRootETmis*) branch->At(0);
+    outfile << fixed << setprecision(3)
+            << setw(3) << line++    // line counter
+            << setw(4) << 6 << " "   // object ID in lhco format
+            << setw(7) << 0.000 <<" "
+            << setw(7) << particle->Phi <<" "
+            << setw(7) << particle->ET  <<" "
+            << setw(7) << 0. <<" "       // invariant mass
+            << setw(7) << 0  <<" "       // number of tracks
+            << setw(7) << 0.  <<" "
+            << setw(7) << 0. <<" "      // E_had/E_em
+            << setw(7) << 0.0 << setw(7) << 0.0  // dummy/dummy
+            << endl;
+
+    outfile.close();
+    // return outfile;
+}
+
+