Index: trunk/paper/notes.tex
===================================================================
--- trunk/paper/notes.tex	(revision 309)
+++ trunk/paper/notes.tex	(revision 324)
@@ -29,7 +29,7 @@
   \pdfinfo{
    /Author (S. Ovyn, X. Rouby, V. Lemaitre)
-   /Title  (Delphes, a framework for fast simulation of a general-purpose LHC detector)
+   /Title  (Delphes, a framework for fast simulation of a generic collider experiment)
    /Subject ()
-   /Keywords (Delphes, Fast simulation, LHC, FROG, Hector, Smearing, FastJet)}
+   /Keywords (Delphes, Fast simulation, smearing, reconstruction, trigger, event display, LHC, Hector, FastJet, Frog)}
 \else
    \usepackage[dvips]{graphicx}
@@ -69,5 +69,5 @@
 
 \noindent
-\textit{Keywords:} \textsc{Delphes}, fast simulation, \textsc{lhc}, smearing, trigger, \textsc{FastJet}, \textsc{Hector}, \textsc{Frog}\\
+\textit{Keywords:} \textsc{Delphes}, fast simulation, trigger, event display, \textsc{lhc}, \textsc{FastJet}, \textsc{Hector}, \textsc{Frog}\\
 \href{http://www.fynu.ucl.ac.be/delphes.html}{http://www.fynu.ucl.ac.be/delphes.html}\\
 \textit{Preprint:} \texttt{CP3-09-01}
@@ -80,8 +80,4 @@
 
 \section{Introduction}
-% Motiver l'utilisation d'un simulateur rapide
-% - 1) rapide VS lent
-% - 2) relativement bonne prÃ©diction en premiÃšre approximation
-% - 3) permet de comparer
 
 Experiments at high energy colliders are very complex systems for several reasons. Firstly, in terms of the various detector subsystems, including tracking, central calorimetry, forward calorimetry, and muon chambers. Such apparatus differ in their detection principles, technologies, geometrical acceptances, resolutions and sensitivities. Secondly, due to the requirement of a highly effective online selection (i.e. a \textit{trigger}), subdivided into several levels for an optimal reduction factor of ``uninteresting'' events, but based only on partially processed data. Finally, in terms of the experiment software, with different data formats (like \textit{raw} or \textit{reconstructed} data), many reconstruction algorithms and particle identification approaches.
@@ -91,5 +87,5 @@
 A new framework, called \textsc{Delphes}~\cite{bib:Delphes}, is introduced here, for the fast simulation of a general-purpose collider experiment. 
 Using the framework, observables can be estimated for specific signal and background channels, as well as their production and measurement rates. 
-Starting from the output of event generators, the simulation of the detector response takes into account the subdetector resolutions, by smearing the kinematic properties of the final-state particles\footnote{throughout the paper, final-state particles refer as particles considered as stable by the event generator.}. Tracks of charged particles and deposits of energy in calorimetric cells (or \textit{calotowers}) are then created.
+Starting from the output of event generators, the simulation of the detector response takes into account the subdetector resolutions, by smearing the kinematic properties of the final-state particles\footnote{Throughout the paper, final-state particles refer as particles considered as stable by the event generator.}. Tracks of charged particles and deposits of energy in calorimetric cells (or \textit{calotowers}) are then created.
 
 \textsc{Delphes} includes the most crucial experimental features, such as (Fig.~\ref{fig:FlowChart}):
@@ -108,8 +104,9 @@
 \caption{Flow chart describing the principles behind \textsc{Delphes}. Event files coming from external Monte Carlo generators are read by a converter stage (top). 
 The kinematics variables of the final-state particles are then smeared according to the tunable subdetector resolutions. 
-Tracks are reconstructed in a simulated dipolar magnetic field and calorimetric towers sample the energy deposits. Based on these low-level objects, dedicated algorithms are applied for particle identification, isolation and reconstruction. 
+Tracks are reconstructed in a simulated solenoidal magnetic field and calorimetric towers sample the energy deposits. Based on these low-level objects, dedicated algorithms are applied for particle identification, isolation and reconstruction. 
 The transport of very forward particles to the near-beam detectors is also simulated. 
-Finally, an output file is written, including generator-level and analysis-object data. If requested, a fully parametrisable trigger can be emulated. Optionally, the geometry and visualisation files for the 3D event display can also be produced.
-All user parameters are set in the \textit{Smearing Card} and the \textit{Trigger Card}. }
+Finally, an output file is written, including generator-level and analysis-object data. 
+If requested, a fully parametrisable trigger can be emulated. Optionally, the geometry and visualisation files for the 3D event display can also be produced.
+All user parameters are set in the \textit{Detector/Smearing Card} and the \textit{Trigger Card}. }
 \label{fig:FlowChart}
 \end{center}
@@ -122,5 +119,9 @@
 
 \textsc{Delphes} uses the \texttt{ExRootAnalysis} utility~\cite{bib:ExRootAnalysis} to create output data in a \texttt{*.root} ntuple.
-This output contains a copy of the generator-level data (\textsc{gen} tree), the analysis data objects after reconstruction (\mbox{\textsc{A}nalysis} tree), and possibly the results of the trigger emulation (\mbox{\textsc{T}rigger} tree). The program is driven by input cards. The detector card (\texttt{data/DataCardDet.dat}) allows a large spectrum of running conditions by modifying basic detector parameters, including calorimeter and tracking coverage and resolution, thresholds or jet algorithm parameters. The trigger card (\texttt{data/trigger.dat}) lists the user algorithms for the simplified online preselection.\\
+This output contains a copy of the generator-level data (\textsc{gen} tree), the analysis data objects after reconstruction (\mbox{\textsc{A}nalysis} tree), and possibly the results of the trigger emulation (\mbox{\textsc{T}rigger} tree). 
+In option\footnote{\texttt{[code]} See the \texttt{FLAG\_lhco} variable in the detector datacard. This text file format is shortly described in the user manual.}, \textsc{Delphes} can produce a reduced output file in \texttt{*.lhco} text format, which is limited to the list of the reconstructed high-level objects in the final states.
+
+The program is driven by input cards. The detector card (\texttt{data/DetectorCard.dat}) allows a large spectrum of running conditions by modifying basic detector parameters, including calorimeter and tracking coverage and resolution, thresholds or jet algorithm parameters. The trigger card (\texttt{data/TriggerCard.dat}) lists the user algorithms for the simplified online 
+preselection.
 
 
@@ -129,6 +130,6 @@
 The overall layout of the general-purpose detector simulated by \textsc{Delphes} is shown in Fig.~\ref{fig:GenDet3}. 
 A central tracking system (\textsc{tracker}) is surrounded by an electromagnetic and a hadron calorimeters (\textsc{ecal} and \textsc{hcal}, resp.). Two forward calorimeters (\textsc{fcal}) ensure a larger geometric coverage for the measurement of the missing transverse energy. Finally, a muon system (\textsc{muon}) encloses the central detector volume
-The fast simulation of the detector response takes into account geometrical acceptance of sub-detectors and their finite resolution, as defined in the smearing data card\footnote{\texttt{[code] }See the \texttt{RESOLution} class.}. 
-If no such file is provided, predefined values based on ``typical'' \textsc{cms} acceptances and resolutions are used. The geometrical coverage of the various subsystems used in the default configuration are summarised in Tab.~\ref{tab:defEta}.
+The fast simulation of the detector response takes into account geometrical acceptance of sub-detectors and their finite resolution, as defined in the detector data card\footnote{\texttt{[code] }See the \texttt{RESOLution} class.}. 
+If no such file is provided, predefined values based on ``typical'' \textsc{cms} acceptances and resolutions are used\footnote{\texttt{[code] }Detector and trigger cards for the \textsc{atlas} and \textsc{cms} experiments are also provided in \texttt{data/} directory.}. The geometrical coverage of the various subsystems used in the default configuration are summarised in Tab.~\ref{tab:defEta}.
 
 \begin{table*}[t]
@@ -136,5 +137,5 @@
 \caption{Default extension in pseudorapidity $\eta$ of the different subdetectors. 
 Full azimuthal ($\phi$) acceptance is assumed.
-The corresponding parameter name, in the smearing card, is given. \vspace{0.5cm}}
+The corresponding parameter name, in the detector card, is given. \vspace{0.5cm}}
 \begin{tabular}{llcc}
 \hline
@@ -164,5 +165,5 @@
 
 \subsubsection*{Magnetic field}
-In addition to the subdetectors, the effects of a dipolar magnetic field is simulated for the charged particles\footnote{\texttt{[code] }See the \texttt{TrackPropagation} class.}. This affects the position at which charged particles enter the calorimeters.
+In addition to the subdetectors, the effects of a solenoidal magnetic field is simulated for the charged particles\footnote{\texttt{[code] }See the \texttt{TrackPropagation} class.}. This affects the position at which charged particles enter the calorimeters and their corresponding tracks.
 
 
@@ -170,5 +171,5 @@
 \subsection{Tracks reconstruction}
 Every stable charged particle with a transverse momentum above some threshold and lying inside the detector volume covered by the tracker provides a track. 
-By default, a track is assumed to be reconstructed with $90\%$ probability\footnote{\texttt{[code]} The reconstruction efficiency is defined in the smearing datacard by the \texttt{TRACKING\_EFF} term.} if its transverse momentum $p_T$ is higher than $0.9~\textrm{GeV}/c$ and if its pseudorapidity $|\eta| \leq 2.5$. 
+By default, a track is assumed to be reconstructed with $90\%$ probability\footnote{\texttt{[code]} The reconstruction efficiency is defined in the detector datacard by the \texttt{TRACKING\_EFF} term.} if its transverse momentum $p_T$ is higher than $0.9~\textrm{GeV}/c$ and if its pseudorapidity $|\eta| \leq 2.5$. 
 
 
@@ -186,5 +187,5 @@
 The particle four-momentum $p^\mu$ are smeared with a parametrisation directly derived from typical detector technical designs\footnote{\texttt{[code] }~\cite{bib:cmsjetresolution,bib:ATLASresolution}. The response of the detector is applied to the electromagnetic and the hadronic particles through the \texttt{SmearElectron} and \texttt{SmearHadron} functions.}.
 In the default parametrisation, the calorimeter is assumed to cover the pseudorapidity range $|\eta|<3$ and consists in an electromagnetic and hadronic parts. Coverage between pseudorapidities of $3.0$ and $5.0$ is provided by forward calorimeters, with different response to electromagnetic objects ($e^\pm, \gamma$) or hadrons. 
-Muons and neutrinos are assumed not to interact with the calorimeters\footnote{In the current \textsc{Delphes} version, particles other than electrons ($e^\pm$), photons ($\gamma$), muons ($\mu^\pm$) and neutrinos ($\nu_e$, $\nu_\mu$ and $\nu_\tau$) are simulated as hadrons for their interactions with the calorimeters. The simulation of stable particles beyond the Standard Model should therefore be handled with care.}.
+Muons and neutrinos are assumed not to interact with the calorimeters\footnote{In the current \textsc{Delphes} version, particles other thand electrons ($e^\pm$), photons ($\gamma$), muons ($\mu^\pm$) and neutrinos ($\nu_e$, $\nu_\mu$ and $\nu_\tau$) are simulated as hadrons for their interactions with the calorimeters. The simulation of stable particles beyond the Standard Model should therefore be handled with care.}.
 The default values of the stochastic, noise and constant terms are given in Tab.~\ref{tab:defResol}.\\
 
@@ -192,5 +193,5 @@
 \begin{center}
 \caption{Default values for the resolution of the central and forward calorimeters. Resolution is parametrised by the \textit{stochastic} ($S$), \textit{noise} ($N$) and \textit{constant} ($C$) terms (Eq.~\ref{eq:caloresolution}).
-The corresponding parameter name, in the smearing card, is given. \vspace{0.5cm}}
+The corresponding parameter name, in the detector card, is given. \vspace{0.5cm}}
 \begin{tabular}[!h]{lllc}
 \hline
@@ -229,10 +230,10 @@
 \end{equation}
 where $0 \leq F \leq 1$. The electromagnetic part is handled the same way for the electrons and photons. 
-The resulting calorimetry energy measurement given after the application of the smearing is then $E = E_{\textsc{hcal}} + E_{\textsc{ecal}}$. For $K_S^0$ and $\Lambda$ hadrons, the energy fraction is $F$ is assumed to be $0.7$.\\
+The resulting calorimetry energy measurement given after the application of the smearing is then $E = E_{\textsc{hcal}} + E_{\textsc{ecal}}$. For $K_S^0$ and $\Lambda$ hadrons\footnote{\texttt{[code]} To implement different ratios for other particles, see the \texttt{BlockClasses} class.}, the energy fraction is $F$ is assumed to be $0.7$.\\
 
 \subsection{Calorimetric towers}
 
 The smallest unit for geometrical sampling of the calorimeters is a \textit{tower}; it segments the $(\eta,\phi)$ plane for the energy measurement. No longitudinal segmentation is available in the simulated calorimeters. All undecayed particles, except muons and neutrinos deposit energy in a calorimetric tower, either in \textsc{ecal}, in \textsc{hcal} or \textsc{fcal}. 
-As the detector is assumed to be cylindical (e.g. symmetric in $\phi$ and with respect to the $\eta=0$ plane), the smearing card stores the number of calorimetric towers with $\phi=0$ and $\eta>0$ (default: $40$ towers). For a given $\eta$, the size of the $\phi$ segmentation is also specified. Fig.~\ref{fig:calosegmentation} illustrates the default segmentation of the $(\eta,\phi)$ plane.
+As the detector is assumed to be cylindical (e.g. symmetric in $\phi$ and with respect to the $\eta=0$ plane), the detector card stores the number of calorimetric towers with $\phi=0$ and $\eta>0$ (default: $40$ towers). For a given $\eta$, the size of the $\phi$ segmentation is also specified. Fig.~\ref{fig:calosegmentation} illustrates the default segmentation of the $(\eta,\phi)$ plane.
 
 \begin{figure}[!h]
@@ -244,5 +245,5 @@
 \end{figure}
 
-The calorimetric towers directly enter in the calculation of the missing transverse energy (\textsc{met}), and as input for the jet reconstruction algorithms. No sharing between neighbouring towers is implemented when particles enter a tower very close to its geometrical edge.
+The calorimetric towers directly enter in the calculation of the missing transverse energy (\textsc{met}), and as input for the jet reconstruction algorithms. No sharing between neighbouring towers is implemented when particles enter a tower very close to its geometrical edge. Smearing is applied directly on the accumulated electromagnetic and hadronic energies of each calorimetric tower. 
 
 \subsection{Very forward detectors simulation}
@@ -306,17 +307,25 @@
 \subsection{Photon and charged lepton reconstruction}
 From here onwards, \textit{electrons} refer to both positrons ($e^+$) and electrons ($e^-$), and $\textit{charged leptons}$ refer to electrons and muons ($\mu^\pm$), leaving out the $\tau^\pm$ leptons as they decay before being detected.
+
 \subsubsection*{Electrons and photons}
 Electron ($e^\pm$) and photon candidates are reconstructed if they fall into the acceptance of the tracking system and have a transverse momentum above a threshold (default $p_T > 10~\textrm{GeV}/c$). A calorimetric tower will be seen in the detector, an electrons will leave in addition a track. Subsequently, electrons and photons create a candidate in the jet collection.
+Assuming a good measurement of the track parameters in the real experiment, the electron energy can be reasonably recovered. In \textsc{Delphes}, electron energy is smeared according to the resolution of the calorimetric tower where it points to, but independently from any other deposited energy is this tower. This approach is still conservative as the calorimeter resolution is worse than the tracker one.
 
 \subsubsection*{Muons}
-
 Generator-level muons entering the detector acceptance are considered as candidates for the analysis level.
 The acceptance is defined in terms of a transverse momentum threshold to be overpassed that should be computed using the chosen geometry of the detector and the magnetic field considered (default : $p_T > 10~\textrm{GeV}/c$) and of the pseudorapidity coverage of the muon system (default: $-2.4 \leq \eta \leq 2.4$).
-The application of the detector resolution on the muon momentum depends on a Gaussian smearing of the $p_T$ variable\footnote{\texttt{[code]} See the \texttt{SmearMuon} method.}. Neither $\eta$ nor $\phi$ variables are modified beyond the calorimeters: no additional magnetic field is applied. In addition, multiple scattering is also neglected. This implies that low energy muons have in \textsc{Delphes} a better resolution than in a real detector. Moreover, muons leave no deposit in calorimeters.
+The application of the detector resolution on the muon momentum depends on a Gaussian smearing of the $p_T$ variable\footnote{\texttt{[code]} See the \texttt{SmearMuon} method.}. Neither $\eta$ nor $\phi$ variables are modified beyond the calorimeters: no additional magnetic field is applied. Multiple scattering is neglected. This implies that low energy muons have in \textsc{Delphes} a better resolution than in a real detector. Furthermore, muons leave no deposit in calorimeters.
 
 \subsubsection*{Charged lepton isolation}
 
-To improve the quality of the contents of the charged lepton collections, additional criteria can be applied such as isolation. This requires that electron or muon candidates are isolated in the detector from any other particle, within a small cone. In \textsc{Delphes}, charged lepton isolation demands that there is no other charged particle with $p_T>2~\textrm{GeV}/c$ within a cone of $\Delta R = \sqrt{\Delta \eta^2 + \Delta \phi^2} <0.5$ around the lepton. The result (i.e. \textit{isolated} or \textit{not}) is added to the charged lepton measured properties\footnote{\texttt{[code] }See the \texttt{IsolFlag} output of the \texttt{Electron} or \texttt{Muon} collections in the \texttt{Analysis} tree.}. No calorimetric isolation is applied. \\ 
-
+To improve the quality of the contents of the charged lepton collections, additional criteria can be applied such as isolation. This requires that electron or muon candidates are isolated in the detector from any other particle, within a small cone. In \textsc{Delphes}, charged lepton isolation demands that there is no other charged particle with $p_T>2~\textrm{GeV}/c$ within a cone of $\Delta R = \sqrt{\Delta \eta^2 + \Delta \phi^2} <0.5$ around the lepton. 
+The result (i.e. \textit{isolated} or \textit{not}) is added to the charged lepton measured properties.
+In addition, the sum $P_T$ of the transverse momenta of all tracks but the lepton one within the isolation cone is 
+provided\footnote{\texttt{[code] }See the \texttt{IsolFlag} and \texttt{IsolPt} values in the \texttt{Electron} or \texttt{Muon} collections in the \texttt{Analysis} tree, as well as the \texttt{ISOL\_PT} and \texttt{ISOL\_Cone} variables in the detector card.}:
+$$ P_T = \sum_{i \neq \mu}^\textrm{tracks} p_T(i)$$
+
+No calorimetric isolation is applied, but the muon collection contains also the ratio $\rho_\mu$ between (1) the sum of the transverse energies in all calotowers in a $N \times N$ grid around the muon, and (2) the muon transverse 
+momentum\footnote{\texttt{[code] }Calorimetric isolation parameters in the detector card are \texttt{ISOL\_Calo\_ET} and  \texttt{ISOL\_Calo\_Grid}.}:
+$$ \rho_\mu = \frac{\Sigma_i E_T(i)}{p_T(\mu)}~,~ i\textrm{ in }N \times N \textrm { grid centered on }\mu.$$
 
 
@@ -328,7 +337,7 @@
 
 A realistic analysis requires a correct treatment of particles which have hadronised. Therefore, the most widely currently used jet algorithms have been integrated into the \textsc{Delphes} framework using the \textsc{FastJet} tools~\cite{bib:FastJet}. 
-Six different jet reconstruction schemes are available\footnote{\texttt{[code] }The choice is done by allocating the \texttt{JET\_jetalgo } input parameter in the smearing card.}. The first three belong to the cone algorithm class while the last three are using a sequential recombination scheme. For all of them, the towers are used as input for the jet clustering. Jet algorithms differ in their sensitivity to soft particles or collinear splittings, and in their computing speed performances.
+Six different jet reconstruction schemes are available\footnote{\texttt{[code] }The choice is done by allocating the \texttt{JET\_jetalgo } input parameter in the detector card.}. The first three belong to the cone algorithm class while the last three are using a sequential recombination scheme. For all of them, the towers are used as input for the jet clustering. Jet algorithms differ in their sensitivity to soft particles or collinear splittings, and in their computing speed performances.
 By default, reconstruction uses a cone algorithm with $\Delta R=0.7$. 
-Jets are stored if their transverse energy is higher\footnote{\texttt{[code] PTCUT\_jet }variable in the smearing card.} than $20~\textrm{GeV}$. 
+Jets are stored if their transverse energy is higher\footnote{\texttt{[code] PTCUT\_jet }variable in the detector card.} than $20~\textrm{GeV}$. 
  
 \subsubsection*{Cone algorithms}
@@ -340,5 +349,5 @@
 All towers with a transverse energy $E_T$ higher than a given threshold (default: $E_T > 1~\textrm{GeV}$) are used to seed the jet candidates. 
 The existing \textsc{FastJet} code has been modified to allow easy modification of the tower pattern in $\eta$, $\phi$ space. 
-In the following versions of \textsc{Delphes}, a new dedicated plug-in will be created on this purpose\footnote{\texttt{[code] }\texttt{JET\_coneradius} and \texttt{JET\_seed} variables in the smearing card.}.
+In the following versions of \textsc{Delphes}, a new dedicated plug-in will be created on this purpose\footnote{\texttt{[code] }\texttt{JET\_coneradius} and \texttt{JET\_seed} variables in the detector card.}.
  
 \item {\it CDF MidPoint}~\cite{bib:midpoint}: Algorithm developed for the \textsc{cdf} Run II to reduce infrared and collinear sensitivity compared to purely seed-based cone by adding `midpoints' (energy barycentres) in the list of cone seeds.
@@ -385,17 +394,6 @@
 \subsection{$b$-tagging}
 
-A jet is tagged as $b$-jets if its direction lies in the acceptance of the tracker and if it is associated to a parent $b$-quark. By default, a $b$-tagging efficiency of $40\%$ is assumed if the jet has a parent $b$ quark. For $c$-jets and light jets (i.e. originating in $u$,$d$,$s$ quarks or in gluons), a fake $b$-tagging efficiency of $10 \%$ and $1 \%$ respectively is assumed\footnote{\texttt{[code] }Corresponding to the \texttt{TAGGING\_B}, \texttt{MISTAGGING\_C} and \texttt{MISTAGGING\_L} constants, for (respectively) the efficiency of tagging of a $b$-jet, the efficiency of mistagging a $c$-jet as a $b$-jet, and the efficiency of mistagging a light jet ($u$,$d$,$s$,$g$) as a $b$-jet.} 
-%(Fig.~\ref{fig:btag})
-. 
+A jet is tagged as $b$-jets if its direction lies in the acceptance of the tracker and if it is associated to a parent $b$-quark. By default, a $b$-tagging efficiency of $40\%$ is assumed if the jet has a parent $b$ quark. For $c$-jets and light jets (i.e. originating in $u$,$d$,$s$ quarks or in gluons), a fake $b$-tagging efficiency of $10 \%$ and $1 \%$ respectively is assumed\footnote{\texttt{[code] }Corresponding to the \texttt{BTAG\_b}, \texttt{BTAG\_mistag\_c} and \texttt{BTAG\_mistag\_l} constants, for (respectively) the efficiency of tagging of a $b$-jet, the efficiency of mistagging a $c$-jet as a $b$-jet, and the efficiency of mistagging a light jet ($u$,$d$,$s$,$g$) as a $b$-jet.}.
 The (mis)tagging relies on the true particle identity (\textsc{pid}) of the most energetic particle within a cone around the observed $(\eta,\phi)$ region, with a radius equal to the one used to reconstruct the jet (default: $\Delta R$ of $0.7$).
-
-%\begin{figure}[!h]
-%\begin{center}
-%\includegraphics[width=0.6\columnwidth]{btag}
-%\caption{Default efficiency of $b$-tag for jets coming from $b$ quarks, $c$ quarks and from other particles (jets from gluons or $u$, $d$ and $s$ quarks).}
-%\label{fig:btag}
-%\end{center}
-%\end{figure}
-
 
 \subsection{\texorpdfstring{$\tau$}{\texttau} identification}
@@ -528,5 +526,5 @@
 Most of the usual trigger algorithms select events containing objects (i.e. jets, particles, \textsc{met}) with an energy scale above some threshold. This is often expressed in terms of a cut on the transverse momentum of one or several objects of the measured event. Logical combinations of several conditions are also possible. For instance, a trigger path could select events containing at least one jet and one electron such as $p_T^\textrm{jet} > 100~\textrm{GeV}/c$ and $p_T^e > 50~\textrm{GeV}/c$.
 
-A trigger emulation is included in \textsc{Delphes}, using a fully parametrisable \textit{trigger table}\footnote{\texttt{[code] }The trigger card is the \texttt{data/trigger.dat} file.}. When enabled, this trigger is applied on analysis-object data. 
+A trigger emulation is included in \textsc{Delphes}, using a fully parametrisable \textit{trigger table}\footnote{\texttt{[code] }The trigger card is the \texttt{data/TriggerCard.dat} file.}. When enabled, this trigger is applied on analysis-object data. 
 In a real experiment, the online selection is often divided into several steps (or \textit{levels}). 
 This splits the overall reduction factor into a product of smaller factors, corresponding to the different trigger levels. 
@@ -608,9 +606,9 @@
 The resolution $\sigma_x$ of the horizontal component of \textsc{met} is observed to behave like
 \begin{equation}
-\sigma_x = \alpha ~\sqrt(E_T) ~~~(\mathrm{GeV}^{1/2}),
+\sigma_x = \alpha ~\sqrt{E_T}~~~(\mathrm{GeV}^{1/2}),
 \end{equation}
 where the $\alpha$ parameter depends on the resolution of the calorimeters. 
 
-The \textsc{met} resolution expected for the \textsc{cms} detector for similar events is $\sigma_x = (0.6-0.7) ~ \sqrt(E_T) ~ \mathrm{GeV}^{1/2}$ with no pile-up\footnote{\textit{Pile-up} events are extra simultaneous $pp$ collision occurring at high-luminosity in the same bunch crossing.}~\cite{bib:cmsjetresolution}, which compares very well with the $\alpha = 0.68$ obtained with \textsc{Delphes}.
+The \textsc{met} resolution expected for the \textsc{cms} detector for similar events is $\sigma_x = (0.6-0.7) ~ \sqrt{E_T} ~ \mathrm{GeV}^{1/2}$ with no pile-up\footnote{\textit{Pile-up} events are extra simultaneous $pp$ collision occurring at high-luminosity in the same bunch crossing.}~\cite{bib:cmsjetresolution}, which compares very well with the $\alpha = 0.68$ obtained with \textsc{Delphes}.
 
 \subsection{\texorpdfstring{$\tau$}{\texttau}-jet efficiency}
@@ -647,5 +645,5 @@
 % The outer layer of the central system (red) consist of a muon system. 
 % In addition, two end-cap calorimeters (blue) extend the pseudorapidity coverage of the central detector.
-% The actual detector granularity and extension is defined in the smearing card. 
+% The actual detector granularity and extension is defined in the detector card. 
 % The detector is assumed to be strictly symmetric around the beam axis (black line). 
 % Additional forward detectors are not depicted.}
@@ -755,5 +753,5 @@
 P. Demin, (2006), unpublished. Now part of \textsc{MadGraph/MadEvent}.
 \bibitem{bib:cmsjetresolution} The CMS Collaboration, \textbf{CERN/LHCC} \\ \href{http://documents.cern.ch/cgi-bin/setlink?base=lhcc&categ=public&id=lhcc-2006-001}{2006-001}.
-\bibitem{bib:ATLASresolution} The ATLAS Collaboration, \\ arXiv:\href{http://arxiv.org/abs/arxiv:0901.0512}{0901.0512v1}[hep-ex].
+\bibitem{bib:ATLASresolution} The ATLAS Collaboration, \textbf{CERN-OPEN} 2008-020, arXiv:\href{http://arxiv.org/abs/arxiv:0901.0512}{0901.0512v1}[hep-ex].
 \bibitem{bib:Hector} %\textsc{Hector}, \textit{a fast simulator for the transport of particles in beamlines}, 
 X. Rouby, J. de Favereau, K. Piotrzkowski, \textbf{JINST} \href{http://www.iop.org/EJ/abstract/1748-0221/2/09/P09005}{2 P09005 (2007)}.
@@ -783,5 +781,5 @@
 \bibitem{bib:papierquisortirajamais}J. de Favereau~et~al, \textbf{CP3-08-04} (2008), to be published in EPJ.
 
-\bibitem{bib:papiersimon} "Phenomenology of a twisted two-Higgs-doublet model", Simon de Visscher, Jean-Marc Gerard, Michel Herquet, Vincent Lemaitre, Fabio Maltoni, to be published.
+\bibitem{bib:papiersimon} ``Phenomenology of a twisted two-Higgs-doublet model'', Simon de Visscher, Jean-Marc Gerard, Michel Herquet, Vincent Lema\^itre, Fabio Maltoni, to be published.
 
 \bibitem{bib:mcfio} P. Lebrun, L. Garren, Copyright (c) 1994-1995 Universities Research Association, Inc.
@@ -836,12 +834,12 @@
 \subsubsection{Setting up the configuration}
  
-The program is driven by two datacards (default cards are {\verb data/DataCardDet.dat } and {\verb data/trigger.dat }) which allow the user to choose among a large spectrum of running conditions.
+The program is driven by two datacards (default cards are {\verb data/DetectorCard.dat } and {\verb data/TriggerCard.dat }) which allow the user to choose among a large spectrum of running conditions.
 Please note that if the user does not provide these two datacards, the running will be done using the default parameters defined in the constructor of the class \texttt{RESOLution} (see next). If you choose a different detector or running configuration, you will need to edit the datacards accordingly.
  
 \begin{enumerate}
  
-\item{\bf The smearing card }
-
-The \textit{smearing} or \textit{run} card is by default \texttt{data/DataCard.dat}.
+\item{\bf The detector card }
+
+The \textit{detector} or \textit{smearing} card is by default \texttt{data/DataCard.dat}.
 It contains all pieces of information needed to run \textsc{Delphes}:
 \begin{itemize}
@@ -980,5 +978,5 @@
 Logical combination of several conditions is also possible. 
 If the trigger-bit requires the presence of multiple identical objects, the order of their $p_T$ thresholds is very important: they must be defined in \textit{decreasing} order. Finally, the different requirements on the objects must be separated by a {\verb && } flag. 
-The default trigger card can be found in the data repository of \textsc{Delphes} (\texttt{data/trigger.dat}). 
+The default trigger card can be found in the data repository of \textsc{Delphes} (\texttt{data/TriggerCard.dat}). 
 An example of trigger table consistent with the previous rules is given here:
 \begin{quote}
@@ -993,5 +991,5 @@
 \subsubsection{Running the code}
  
-First, create the smearing and trigger cards (\texttt{data/mydetector.dat} and \texttt{data/mytrigger.dat}). \\
+First, create the detector and trigger cards (\texttt{data/mydetector.dat} and \texttt{data/myTriggerCard.dat}). \\
 Then, create a text file containing the list of input files that will be used by \textsc{Delphes} (with extension \texttt{*.lhe}, \texttt{*.root} or \texttt{*.hep}).
 To run the code, type the following command (in one line)
@@ -999,5 +997,5 @@
 \begin{verbatim}
 me@mylaptop:~$ ./Delphes inputlist.list OutputRootFileName.root 
-                         data/mydetector.dat data/mytrigger.dat
+                         data/mydetector.dat data/myTriggerCard.dat
 \end{verbatim}
 \end{quote}
@@ -1179,5 +1177,5 @@
  \begin{quote}
 \begin{verbatim}
-me@mylaptop:~$ ./Trigger_Only input_file.root data/trigger.dat
+me@mylaptop:~$ ./Trigger_Only input_file.root data/TriggerCard.dat
 \end{verbatim}
  \end{quote}
@@ -1186,5 +1184,5 @@
  
 \begin{itemize}
-\item If the { \verb FLAG_frog } was switched on in the smearing card, two files have been created during the running of \textsc{Delphes}: {\verb DelphesToFrog.vis } and {\verb DelphesToFrog.geom }. They contain all the needed pieces of information to run \textsc{frog}.
+\item If the { \verb FLAG_frog } was switched on in the detector card, two files have been created during the running of \textsc{Delphes}: {\verb DelphesToFrog.vis } and {\verb DelphesToFrog.geom }. They contain all the needed pieces of information to run \textsc{frog}.
 \item To display the events and the geometry, you first need to compile \textsc{Frog}. Go to the {\verb Utilities/FROG } and type {\verb make }. This compilation is done once for all, with this geometry (i.e. as long as the \texttt{*vis} and \texttt{*geom} files do not change).
 \item Go back into the main directory and type 