Index: /trunk/paper/notes.tex
===================================================================
--- /trunk/paper/notes.tex	(revision 326)
+++ /trunk/paper/notes.tex	(revision 327)
@@ -318,4 +318,5 @@
 
 \subsubsection*{Charged lepton isolation}
+\label{sec:isolation}
 
 To improve the quality of the contents of the charged lepton collections, additional criteria can be applied such as isolation. This requires that electron or muon candidates are isolated in the detector from any other particle, within a small cone. In \textsc{Delphes}, charged lepton isolation demands that there is no other charged particle with $p_T>2~\textrm{GeV}/c$ within a cone of $\Delta R = \sqrt{\Delta \eta^2 + \Delta \phi^2} <0.5$ around the lepton. 
@@ -853,10 +854,10 @@
 # Energy resolution for electron/photon
 # \sigma/E = C + N/E + S/\sqrt{E}, E in GeV
-ELG_Scen          0.05              // S term for central ECAL
-ELG_Ncen          0.25              // N term for central ECAL
-ELG_Ccen          0.005             // C term for central ECAL
-ELG_Sfwd          2.084             // S term for FCAL
-ELG_Nfwd          0.0               // N term for FCAL
-ELG_Cfwd          0.107             // C term for FCAL
+ELG_Scen          0.05     // S term for central ECAL
+ELG_Ncen          0.25     // N term for central ECAL
+ELG_Ccen          0.005    // C term for central ECAL
+ELG_Sfwd          2.084    // S term for FCAL
+ELG_Nfwd          0.0      // N term for FCAL
+ELG_Cfwd          0.107    // C term for FCAL
 
 # Energy resolution for hadrons in ecal/hcal/hf
@@ -870,9 +871,9 @@
  
 # Muon smearing
-MU_SmearPt        0.01    // transverse momentum Pt in GeV/c
+MU_SmearPt        0.01     // transverse momentum Pt in GeV/c
  
 # Tracking efficiencies
 TRACK_ptmin       0.9      // minimal pT
-TRACK_eff         100      // efficiency associated to the tracking (%)
+TRACK_eff          90      // efficiency associated to the tracking (%)
 
 
@@ -911,19 +912,19 @@
 
 # Charged lepton isolation. Pt and Et in GeV
-ISOL_PT          2.0      //minimal pt of tracks for isolation criteria
-ISOL_Cone        0.5      //Cone  for isolation criteria
-ISOL_Calo_ET     2.0      //minimal tower transverse energy for isolation criteria. 1E99 means "off"
-ISOL_Calo_Cone   0.4      //Cone for calorimetric isolation
-ISOL_Calo_Grid   3        //Grid size (N x N) for calorimetric isolation
+ISOL_PT          2.0  //minimal pt of tracks for isolation criteria
+ISOL_Cone        0.5  //Cone  for isolation criteria
+ISOL_Calo_ET     2.0  //minimal tower E_T for isolation criteria. 1E99 means "off"
+ISOL_Calo_Cone   0.4  //Cone for calorimetric isolation
+ISOL_Calo_Grid   3    //Grid size (N x N) for calorimetric isolation
 
 # General jet variable
-JET_coneradius   0.7            // generic jet radius 
-JET_jetalgo      1              // 1 for Cone algorithm, 
-                                // 2 for MidPoint algorithm, 
-                                // 3 for SIScone algorithm, 
-                                // 4 for kt algorithm
-                                // 5 for Cambridge/Aachen algorithm
-                                // 6 for anti-kt algorithm
-JET_seed         1.0            // minimum seed to start jet reconstruction, in GeV
+JET_coneradius   0.7    // generic jet radius 
+JET_jetalgo      1      // 1 for Cone algorithm, 
+                        // 2 for MidPoint algorithm, 
+                        // 3 for SIScone algorithm, 
+                        // 4 for kt algorithm
+                        // 5 for Cambridge/Aachen algorithm
+                        // 6 for anti-kt algorithm
+JET_seed         1.0    // minimum seed to start jet reconstruction, in GeV
 
 # Tagging definition 
@@ -933,10 +934,10 @@
  
 # FLAGS
-FLAG_bfield      1                       //1 to run the bfield propagation else 0
-FLAG_vfd         1                       //1 to run the very forward detectors else 0
-FLAG_RP          1                       //1 to run the very forward detectors else 0
-FLAG_trigger     1                       //1 to run the trigger selection else 0
-FLAG_frog        1                       //1 to run the FROG event display
-FLAG_lhco        1                       //1 to run the LHCO
+FLAG_bfield      1       //1 to run the bfield propagation else 0
+FLAG_vfd         1       //1 to run the very forward detectors else 0
+FLAG_RP          1       //1 to run the very forward detectors else 0
+FLAG_trigger     1       //1 to run the trigger selection else 0
+FLAG_frog        1       //1 to run the FROG event display
+FLAG_lhco        1       //1 to run the LHCO
 
 # In case BField propagation allowed
@@ -949,16 +950,17 @@
 # Very forward detector extension, in pseudorapidity
 # if allowed
-VFD_min_calo_vfd  5.2                   // very forward calorimeter (if any) like CASTOR
+VFD_min_calo_vfd  5.2     // very forward calorimeter (if any) like CASTOR
 VFD_max_calo_vfd  6.6
-VFD_min_zdc       8.3                   // zero-degree neutral calorimeter
-VFD_s_zdc         140                   // distance of the Zero Degree Calorimeter, from the IP, in [m]
-
-RP_220_s          220                   // distance of the RP to the IP, in meters
-RP_220_x          0.002                 // distance of the RP to the beam, in meters
-RP_420_s          420                   // distance of the RP to the IP, in meters
-RP_420_x          0.004                 // distance of the RP to the beam, in meters
-RP_beam1Card      data/LHCB1IR5_v6.500.tfs
-RP_beam2Card      data/LHCB2IR5_v6.500.tfs
-RP_IP_name        IP5
+VFD_min_zdc       8.3     // Zero-Degree neutral Calorimeter
+VFD_s_zdc         140     // distance of the ZDC, from the IP, in [m]
+
+#Hector parameters
+RP_220_s          220     // distance of the RP to the IP, in meters
+RP_220_x          0.002   // distance of the RP to the beam, in meters
+RP_420_s          420     // distance of the RP to the IP, in meters
+RP_420_x          0.004   // distance of the RP to the beam, in meters
+RP_beam1Card      data/LHCB1IR5_v6.500.tfs // beam optics file, beam 1
+RP_beam2Card      data/LHCB2IR5_v6.500.tfs // beam optics file, beam 2
+RP_IP_name        IP5     // tag for IP in Hector ; 'IP1' for ATLAS
 
 # In case FROG event display allowed
@@ -967,5 +969,5 @@
 \end{verbatim}
 \end{quote}
-In general, energies, momenta and masses are expressed in GeV ,GeV$/c$, Gev$/c^2$ respectively, and  magnetic fields in T.
+In general, energies, momenta and masses are expressed in GeV, GeV$/c$, Gev$/c^2$ respectively, and  magnetic fields in T.
 Geometrical extension are often referred in terms of pseudorapidity $\eta$, as the detectors are supposed to be symmetric in $\phi$.
  
@@ -1236,15 +1238,65 @@
 \end{itemize}
 
- 
+\subsection{LHCO file format}
+ The \texttt{*lhco} file format is a text-\textsc{ascii} data format briefly discussed here. An exhaustive description is provided on \href{http://v1.jthaler.net/olympicswiki}{http://v1.jthaler.net/olympicswiki}. This section is based on this webpage.
+Only final high-level objects are available in the \texttt{lhco} format, and their properties are arranged in columns. Each row corresponds to an object in the event and all events are written after each other. Comment-lines starts with a hash \texttt{\#} symbol.
+
+\begin{verbatim}
+  #  typ   eta     phi     pt     jmas    ntrk    btag   had/em    dum1   dum2
+  0          57     0
+  1   0   1.392  -2.269  19.981   0.000   0.000   0.000   4.605   0.000  0.000
+  2   3   1.052   2.599  29.796   3.698  -1.000   0.000   0.320   0.000  0.000
+  3   4   1.542  -2.070  84.308  41.761   7.000   0.000   1.000   0.000  0.000
+  4   4   1.039   0.856  58.992  34.941   1.000   0.000   1.118   0.000  0.000
+  5   4   1.052   2.599  29.796   3.698   0.000   0.000   0.320   0.000  0.000
+  6   4   0.431  -2.190  22.631   3.861   0.000   0.000   1.000   0.000  0.000
+  7   6   0.000   0.845  62.574   0.000   0.000   0.000   0.000   0.000  0.000
+\end{verbatim}
+Each row in an event starts with a unique number (i.e. in first column). 
+Row \texttt{0} contains the event number (here: \texttt{57}) and some trigger information (here: \texttt{0}. This very particular trigger encoding is not implemeted in \textsc{Delphes}.). 
+Subsequent rows list the reconstructed high-level objects. 
+Each row is organised in columns, which details the object kinematics as well as more specific informations, such as isolation criterias or $b$-tagging.
+
+\paragraph{1st column (\texttt{\#})}
+The first column is the line number in the event. Each event starts with a 0 and contains as many lines as needed to list all high-level objects.
+
+\paragraph{2nd column (\texttt{typ})}
+The second column gives the object identification code, or \textit{type}. 
+The different object types are:\\
+\begin{tabular}{ll}
+  \texttt{0}& for a photon ($\gamma$)\\
+  \texttt{1}& for an electron ($e^\pm$)\\
+  \texttt{2}& for a muon ($\mu^\pm$)\\
+  \texttt{3}& for a hadronically-decaying tau ($\tau$-jet)\\
+  \texttt{4}& for a jet\\
+  \texttt{6}& for a missing transverse energy ($E_T^\textrm{miss}$)\\
+\end{tabular}\\
+Object type \texttt{5} is not defined.
+An event always ends with the row corresponding to the missing transverse energy (type \texttt{6}).
+
+\paragraph{3rd (\texttt{eta}) and 4th (\texttt{phi}) columns}
+The third and forth columns gives the object pseudorapidity $\eta$ and azimuth $\phi$. This latter quantity is expressed in radians, ranging from $-\pi$ to $\pi$.
+
+\paragraph{5th (\texttt{pt}) and 6th (\texttt{jmass}) columns}
+The fifth column provides the object transverse momentum ($p_T$ in GeV$/c$) or energy ($E_T$ in GeV), while the invariant mass ($M$ in GeV/$c^2$) is in the sixth column.
+
+\paragraph{7th column (\texttt{ntrk})}
+The seventh column reports the total number of tracks associated to the objects. This is \texttt{0} for photons, \texttt{$\pm$ 1} for charged leptons including taus (where the sign reports the lepton measured charge) and a positive number (\texttt{$\geq$ 0}) for jets.
+
+\paragraph{8th column (\texttt{btag})}   
+The eighth column tells whether a jet is tagged as a $b$-jet (\texttt{1}) or not (\texttt{0}).
+This is always \texttt{0} for electrons, photons and missing transverse energy.
+For muons, the closest jet in searched for, in terms of $\Delta R$. The integer-part of the quoted number is the row-number (column 1) of this jet.
+
+\paragraph{9th column (\texttt{had/em})}
+For jets, electrons and photons, the ninth column is the ration between hadronic and electromagnetic energies in the calorimetric towers associated to the object. This is always \texttt{0} for missing transverse energy.
+For muons, this number (\texttt{aaa.bb}) reports two values related to the muon isolation (section \ref{sec:isolation}). The integer part (\texttt{aaa}) is transverse momentum sum $P_T$ (in GeV/$c$) and the fractional part (\texttt{bb}) is the energy ratio $\rho_\mu$.
+
+
+\paragraph{10th and 11th columns (\texttt{dum1} and \texttt{dum2})}
+The last two columns are currently not used.
+
+\paragraph{Warning}
+Inherently to the data format itself, the \texttt{*lhco} output contains only a fraction of the available data. Moreover, dealing with text file may have various drawbacks, such as the output file size and the time needed for its creation. Whenever possible, working on the \texttt{*root} output file should be prefered.
+
 \end{document}
-
-%[25] ATLAS Collaboration, Detector and Physics Performance Technical Design
-%     Report, Vols. 1 and 2, CERNâLHCCâ99â14 and CERNâLHCCâ99â15.
-%[26] CMS Collaboration, CMS Physics Technical Design Report, CERN/LHCC 2006â001.
-%[27] A. Djouadi, J. Lykken, K. Monig, Y. Okada, M. J. Oreglia and S. Yamashita,
-%     International Linear Collider Reference Design Report Volume 2: PHYSICS
-%     AT THE ILC, arXiv:0709.1893 [hep-ph].
-
-% personnes qui pourraient Ãªtre intÃ©ressÃ©es:
-% Alice, Benjamin
-% auteurs de arXiv:0801.3359