Index: trunk/paper/notes.tex
===================================================================
--- trunk/paper/notes.tex	(revision 327)
+++ trunk/paper/notes.tex	(revision 328)
@@ -182,10 +182,10 @@
 \label{eq:caloresolution}
 \end{equation}
-where $S$, $N$ and $C$ are the \textit{stochastic}, \textit{noise} and \textit{constant} terms, respectively, and $\oplus$ stands for quadractic additions.\\
+where $S$, $N$ and $C$ are the \textit{stochastic}, \textit{noise} and \textit{constant} terms, respectively, and $\oplus$ stands for quadratic additions.\\
 
 
 The particle four-momentum $p^\mu$ are smeared with a parametrisation directly derived from typical detector technical designs\footnote{\texttt{[code] }~\cite{bib:cmsjetresolution,bib:ATLASresolution}. The response of the detector is applied to the electromagnetic and the hadronic particles through the \texttt{SmearElectron} and \texttt{SmearHadron} functions.}.
 In the default parametrisation, the calorimeter is assumed to cover the pseudorapidity range $|\eta|<3$ and consists in an electromagnetic and hadronic parts. Coverage between pseudorapidities of $3.0$ and $5.0$ is provided by forward calorimeters, with different response to electromagnetic objects ($e^\pm, \gamma$) or hadrons. 
-Muons and neutrinos are assumed not to interact with the calorimeters\footnote{In the current \textsc{Delphes} version, particles other thand electrons ($e^\pm$), photons ($\gamma$), muons ($\mu^\pm$) and neutrinos ($\nu_e$, $\nu_\mu$ and $\nu_\tau$) are simulated as hadrons for their interactions with the calorimeters. The simulation of stable particles beyond the Standard Model should therefore be handled with care.}.
+Muons and neutrinos are assumed not to interact with the calorimeters\footnote{In the current \textsc{Delphes} version, particles other than electrons ($e^\pm$), photons ($\gamma$), muons ($\mu^\pm$) and neutrinos ($\nu_e$, $\nu_\mu$ and $\nu_\tau$) are simulated as hadrons for their interactions with the calorimeters. The simulation of stable particles beyond the Standard Model should therefore be handled with care.}.
 The default values of the stochastic, noise and constant terms are given in Tab.~\ref{tab:defResol}.\\
 
@@ -235,5 +235,5 @@
 
 The smallest unit for geometrical sampling of the calorimeters is a \textit{tower}; it segments the $(\eta,\phi)$ plane for the energy measurement. No longitudinal segmentation is available in the simulated calorimeters. All undecayed particles, except muons and neutrinos deposit energy in a calorimetric tower, either in \textsc{ecal}, in \textsc{hcal} or \textsc{fcal}. 
-As the detector is assumed to be cylindical (e.g. symmetric in $\phi$ and with respect to the $\eta=0$ plane), the detector card stores the number of calorimetric towers with $\phi=0$ and $\eta>0$ (default: $40$ towers). For a given $\eta$, the size of the $\phi$ segmentation is also specified. Fig.~\ref{fig:calosegmentation} illustrates the default segmentation of the $(\eta,\phi)$ plane.
+As the detector is assumed to be cylindrical (e.g. symmetric in $\phi$ and with respect to the $\eta=0$ plane), the detector card stores the number of calorimetric towers with $\phi=0$ and $\eta>0$ (default: $40$ towers). For a given $\eta$, the size of the $\phi$ segmentation is also specified. Fig.~\ref{fig:calosegmentation} illustrates the default segmentation of the $(\eta,\phi)$ plane.
 
 \begin{figure}[!h]
@@ -328,5 +328,5 @@
 No calorimetric isolation is applied, but the muon collection contains also the ratio $\rho_\mu$ between (1) the sum of the transverse energies in all calotowers in a $N \times N$ grid around the muon, and (2) the muon transverse 
 momentum\footnote{\texttt{[code] }Calorimetric isolation parameters in the detector card are \texttt{ISOL\_Calo\_ET} and  \texttt{ISOL\_Calo\_Grid}.}:
-$$ \rho_\mu = \frac{\Sigma_i E_T(i)}{p_T(\mu)}~,~ i\textrm{ in }N \times N \textrm { grid centered on }\mu.$$
+$$ \rho_\mu = \frac{\Sigma_i E_T(i)}{p_T(\mu)}~,~ i\textrm{ in }N \times N \textrm { grid centred on }\mu.$$
 
 
@@ -554,5 +554,5 @@
 \Delta R = \sqrt{ \big(\eta^\textrm{rec} - \eta^\textrm{MC} \big)^2 +  \big(\phi^\textrm{rec} - \phi^\textrm{MC} \big)^2}<0.25. 
 \end{equation}
-The jets made of generator-level particles, here refered as \textit{MC jets}, are obtained by applying the same clustering algorithm to all particles considered as stable after hadronisation.
+The jets made of generator-level particles, here referred as \textit{MC jets}, are obtained by applying the same clustering algorithm to all particles considered as stable after hadronisation.
 Jets produced by \textsc{Delphes} and satisfying the matching criterion are called hereafter \textit{reconstructed jets}.
 
@@ -725,5 +725,5 @@
 % 
 % \subsection{version 2}
-We have described here the major features of the \textsc{Delphes} framework, introduced for the fast simulation of a collider experiment. This framework is a tool meant for feasibility studies in phenomenology, gauging the observability of model prodictions in collider experiments. 
+We have described here the major features of the \textsc{Delphes} framework, introduced for the fast simulation of a collider experiment. This framework is a tool meant for feasibility studies in phenomenology, gauging the observability of model predictions in collider experiments. 
 
 \textsc{Delphes} takes as an input the output of event-generators and yields analysis-object data in the form of \texttt{TTree} in a \textsc{root} file.
@@ -946,5 +946,5 @@
 TRACK_bfield_x    0       // X component of the BField, in T
 TRACK_bfield_y    0       // Y component of the BField, in T
-TRACK_bfield_z    3.8     // Z component of the BFieldn in T
+TRACK_bfield_z    3.8     // Z component of the BField, in T
 
 # Very forward detector extension, in pseudorapidity
@@ -969,5 +969,5 @@
 \end{verbatim}
 \end{quote}
-In general, energies, momenta and masses are expressed in GeV, GeV$/c$, Gev$/c^2$ respectively, and  magnetic fields in T.
+In general, energies, momenta and masses are expressed in GeV, GeV$/c$, GeV$/c^2$ respectively, and  magnetic fields in T.
 Geometrical extension are often referred in terms of pseudorapidity $\eta$, as the detectors are supposed to be symmetric in $\phi$.
  
@@ -1103,5 +1103,5 @@
 \multicolumn{2}{l}{\textbf{Additional leaf in the \texttt{Jet} branch}}  \\
    \texttt{~~~bool Btag }  &\texttt{ // stores the result of the b-tagging }\\
-   \texttt{~~~int NTracks }&\texttt{ // number of tracks asociated to the jet }\\
+   \texttt{~~~int NTracks }&\texttt{ // number of tracks associated to the jet }\\
    \texttt{~~~float EHoverEE }&\texttt{ // hadronic energy over electromagnetic energy }\\
 & \\
@@ -1137,5 +1137,5 @@
     \texttt{~~~float ET }      &\texttt{ // transverse missing energy in GeV }\\
     \texttt{~~~float Px }      &\texttt{ // x component of the transverse missing energy in GeV }\\
-    \texttt{~~~float Py }      &\texttt{ // y vomponent of the transverse missing energy in GeV }\\
+    \texttt{~~~float Py }      &\texttt{ // y component of the transverse missing energy in GeV }\\
 \end{tabular}
 \end{quote}
@@ -1254,7 +1254,7 @@
 \end{verbatim}
 Each row in an event starts with a unique number (i.e. in first column). 
-Row \texttt{0} contains the event number (here: \texttt{57}) and some trigger information (here: \texttt{0}. This very particular trigger encoding is not implemeted in \textsc{Delphes}.). 
+Row \texttt{0} contains the event number (here: \texttt{57}) and some trigger information (here: \texttt{0}. This very particular trigger encoding is not implemented in \textsc{Delphes}.). 
 Subsequent rows list the reconstructed high-level objects. 
-Each row is organised in columns, which details the object kinematics as well as more specific informations, such as isolation criterias or $b$-tagging.
+Each row is organised in columns, which details the object kinematics as well as more specific information, such as isolation criteria or $b$-tagging.
 
 \paragraph{1st column (\texttt{\#})}
@@ -1298,5 +1298,5 @@
 
 \paragraph{Warning}
-Inherently to the data format itself, the \texttt{*lhco} output contains only a fraction of the available data. Moreover, dealing with text file may have various drawbacks, such as the output file size and the time needed for its creation. Whenever possible, working on the \texttt{*root} output file should be prefered.
+Inherently to the data format itself, the \texttt{*lhco} output contains only a fraction of the available data. Moreover, dealing with text file may have various drawbacks, such as the output file size and the time needed for its creation. Whenever possible, working on the \texttt{*root} output file should be preferred.
 
 \end{document}