Index: trunk/paper/notes.tex
===================================================================
--- trunk/paper/notes.tex	(revision 337)
+++ trunk/paper/notes.tex	(revision 338)
@@ -811,5 +811,5 @@
 \end{verbatim}
 \end{quote}
-Due to the large number of external utilities, the number of printed lines during the compilation can be high. The user should not pay attention to possible warning messages. When compilation is completed, the following message is printed:
+Due to the large number of external utilities, the number of printed lines during the compilation can be high. The user should not pay attention to possible warning messages, which are due to the external packages used by \textsc{Delphes}. When compilation is completed, the following message is printed:
 \begin{quote}
 \begin{verbatim}
@@ -834,11 +834,9 @@
  
 \begin{enumerate}
- 
 \item{\bf The detector card }
-
 It contains all pieces of information needed to run \textsc{Delphes}:
 \begin{itemize}
  \item detector parameters, including calorimeter and tracking coverage and resolutions, transverse energy thresholds for object reconstruction and jet algorithm parameters.
- \item six flags ({\verb FLAG_bfield }, {\verb FLAG_vfd }, {\verb FLAG_RP }, {\verb FLAG_trigger }, {\verb FLAG_frog } and {\verb FLAG_lhco }), should be set in order to configure the magnetic field propagation, the very forward detectors simulation, the use of very forward taggers, the trigger selection, the preparation for \textsc{Frog} display and the creation of an output file in *.lhco text format (respectively).
+ \item six flags ({\verb FLAG_bfield }, {\verb FLAG_vfd }, {\verb FLAG_RP }, {\verb FLAG_trigger }, {\verb FLAG_frog } and {\verb FLAG_lhco }), should be set in order to configure the magnetic field propagation, the very forward detectors simulation, the use of very forward taggers, the trigger selection, the preparation for \textsc{Frog} display and the creation of an output file in \texttt{*.lhco} text format (respectively).
  \end{itemize}
  
@@ -876,6 +874,4 @@
 TRACK_ptmin       0.9      // minimal pT
 TRACK_eff          90      // efficiency associated to the tracking (%)
-
-
 \end{verbatim}
 \end{quote}
@@ -927,5 +923,9 @@
                         // 6 for anti-kt algorithm
 JET_seed         1.0    // minimum seed to start jet reconstruction, in GeV
-
+\end{verbatim}
+\end{quote}
+
+\begin{quote}
+\begin{verbatim}
 # Tagging definition 
 BTAG_b           40      // b-tag efficiency (%)
@@ -1040,11 +1040,8 @@
 {\bf GEN \textsc{tree}} & &\\
 ~~~Particle & generator particles from \textsc{hepevt}     & {\verb GenParticle }\\
+\multicolumn{3}{l}{}\\
 {\bf Trigger  } & &\\
 ~~~TrigResult & Acceptance of different trigger-bits       & {\verb TRootTrigger }\\
-\end{tabular}
-\end{quote}
-\begin{quote}
-\begin{tabular}{lll}
-
+\multicolumn{3}{l}{}\\
 {\bf Analysis \textsc{tree}} & & \\
 ~~~Tracks     & Collection of tracks                       & {\verb TRootTracks }\\
@@ -1092,5 +1089,8 @@
    \texttt{~~~float Z;      }&\texttt{ // particle vertex position (z component, in mm) }\\
    \texttt{~~~float M;      }&\texttt{ // particle mass in GeV$/c^2$}\\
-&\\
+\end{tabular}
+\end{quote}
+\begin{quote}
+\begin{tabular}{ll}
 \multicolumn{2}{l}{\textbf{Additional leaves in \texttt{Electron} and \texttt{Muon} branches}} \\
    \texttt{~~~int Charge }    &\texttt{ // particle Charge }\\
@@ -1100,13 +1100,19 @@
    \texttt{~~~float EHoverEE }&\texttt{ // hadronic energy over electromagnetic energy }\\
    \texttt{~~~float EtRatio } &\texttt{ // calo Et in NxN-tower grid around the muon over the muon Et }\\
-& \\
+\end{tabular}
+\end{quote}
+\begin{quote}
+\begin{tabular}{ll}
 \multicolumn{2}{l}{\textbf{Additional leaf in the \texttt{Jet} branch}}  \\
    \texttt{~~~bool Btag }  &\texttt{ // stores the result of the b-tagging }\\
    \texttt{~~~int NTracks }&\texttt{ // number of tracks associated to the jet }\\
    \texttt{~~~float EHoverEE }&\texttt{ // hadronic energy over electromagnetic energy }\\
-& \\
+\end{tabular}
+\end{quote}
+\begin{quote}
+\begin{tabular}{ll}
 \multicolumn{2}{l}{\textbf{Additional leaves in the \texttt{ZDChits} branch}}\\
    \texttt{~~~float T } &\texttt{ // time of flight  in s }\\
-   \texttt{~~~int side }&\texttt{ // -1 or +1 }\\
+   \texttt{~~~int side }&\texttt{ // -1 or +1 }
 \end{tabular}
 \end{quote}
@@ -1124,5 +1130,8 @@
     \texttt{~~~float Pz }      &\texttt{ // track momentum vector (x component) in GeV$/c$ }\\
     \texttt{~~~float Charge }  &\texttt{ // track charge }\\
-& \\
+\end{tabular}
+\end{quote}
+\begin{quote}
+\begin{tabular}{ll}
 \multicolumn{2}{l}{\textbf{Leaves in the \texttt{CaloTower} branch}}\\
     \texttt{~~~float Eta }     &\texttt{ // pseudorapidity of the tower }\\